## sip4 4.7.7-maemo3

=== Makefile ===

all:
	@(cd sipgen; $(MAKE))
	@(cd siplib; $(MAKE))

install:
	@(cd sipgen; $(MAKE) install)
	@(cd siplib; $(MAKE) install)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages
	cp -f sipconfig.py $(DESTDIR)/usr/lib/python2.5/site-packages/sipconfig.py
	cp -f sipdistutils.py $(DESTDIR)/usr/lib/python2.5/site-packages/sipdistutils.py

clean:
	@(cd sipgen; $(MAKE) clean)
	@(cd siplib; $(MAKE) clean)

=== sipgen/Makefile ===
TARGET = sip
OFILES = main.o transform.o gencode.o export.o heap.o parser.o lexer.o
HFILES = sip.h parser.h

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -I.
CFLAGS = -pipe -O2 -w
CXXFLAGS = -pipe -O2 -w
LFLAGS = 
LIBS = 
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

$(TARGET): $(OFILES)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

$(OFILES): $(HFILES)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/bin || mkdir -p $(DESTDIR)/usr/bin
	cp -f $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)

clean:
	-rm -f $(TARGET)
	-rm -f main.o
	-rm -f transform.o
	-rm -f gencode.o
	-rm -f export.o
	-rm -f heap.o
	-rm -f parser.o
	-rm -f lexer.o

=== siplib/Makefile ===
TARGET = sip.so
OFILES = siplib.o qtlib.o threads.o objmap.o bool.o
HFILES = sip.h sipint.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -I. -I/usr/include/python2.5
CFLAGS = -pipe -fPIC -O2 -w
CXXFLAGS = -pipe -fPIC -O2 -w
LFLAGS = -shared -Wl,--version-script=sip.exp
LIBS = 
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

$(TARGET): $(OFILES)
	@echo '{ global: initsip; local: *; };' > sip.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

$(OFILES): $(HFILES)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/$(TARGET)
	@test -d $(DESTDIR)/usr/include/python2.5 || mkdir -p $(DESTDIR)/usr/include/python2.5
	cp -f sip.h $(DESTDIR)/usr/include/python2.5/sip.h

clean:
	-rm -f $(TARGET)
	-rm -f siplib.o
	-rm -f qtlib.o
	-rm -f threads.o
	-rm -f objmap.o
	-rm -f bool.o
	-rm -f sip.exp

=== debian/changelog ===
sip4 (4.7.7-maemo3) unstable; urgency=low

  * Moving to ubuntu package division - sip4/python2.5-sip4 and renaming to
    sip4

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Fri, 19 Sep 2008 11:32:12 -0300

sip (4.7.7-maemo2) unstable; urgency=low

  * Removing temporary files.

 -- Renato Filho <renato.filho@openbossa.org>  Thu, 18 Sep 2008 19:02:45 -0300

sip (4.7.7-maemo1) unstable; urgency=low

  * Updated SIP to version 4.7.7.

 -- Renato Filho <renato.filho@openbossa.org>  Wed, 17 Sep 2008 17:17:00 -0300

sip (4.7.6-maemo1) unstable; urgency=low

  * Newer release for PyQt 4.4 

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Thu, 29 May 2008 16:05:47 -0300

sip (4.7.4-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Mon, 18 Feb 2008 15:19:48 -0300

=== debian/control ===
Source: sip4
Priority: extra
Maintainer: Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>
Build-Depends: debhelper (>= 5), python2.5-dev (>= 2.5.1), dpatch
Standards-Version: 3.7.2
Section: libs

Package: python2.5-sip4
Section: libs
Architecture: any
Replaces: sip
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5 (>= 2.5.1)
Description: Python/C++ bindings generator runtime library.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip
 
Package: python2.5-sip4-dev
Section: libdevel
Architecture: any
Recommends: python2.5-sip4 (= ${Source-Version}), sip4 (= ${Source-Version})
Depends: python2.5 (>= 2.5.1)
Replaces: sip-dev
Description: Python/C++ bindings generator development files.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip

Package: sip4
Section: programming
Architecture: any
Replaces: sip, sip-dev
Recommends: python2.5-sip4-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5 (>= 2.5.1)
Description: Python/C++ bindings generator.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

include /usr/share/dpatch/dpatch.make

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	# Add here commands to configure the package.
	python2.5 configure.py
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --source=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sip4 4.10-maemo20091123.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	@(cd siplib; $(MAKE) install)
 	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages
 	cp -f sipconfig.py $(DESTDIR)/usr/lib/python2.5/site-packages/sipconfig.py
-	cp -f sipdistutils.py $(DESTDIR)/usr/lib/python2.5/site-packages/sipdistutils.py
+	cp -f /home/maemo/sip4-4.10/sipdistutils.py $(DESTDIR)/usr/lib/python2.5/site-packages/sipdistutils.py
 
 clean:
 	@(cd sipgen; $(MAKE) clean)

=== debian/changelog ===
sip4 (4.10-maemo20091123.0) unstable; urgency=low

  * Updated to latest snapshot

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 25 Nov 2009 00:12:12 +0100

sip4 (4.10-maemo0) unstable; urgency=low

  * Fremantle version

 -- Attila Csipa <maemo@csipa.in.rs>  Tue, 03 Nov 2009 11:32:12 +0100

## sip4 4.10.0

=== siplib/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 TARGET = sip.so
-OFILES = siplib.o qtlib.o threads.o objmap.o bool.o
+OFILES = siplib.o apiversions.o descriptors.o qtlib.o threads.o objmap.o bool.o
 HFILES = sip.h sipint.h 
 
 CC = gcc
 CXX = g++
 LINK = g++
-CPPFLAGS = -I. -I/usr/include/python2.5
+CPPFLAGS = -DNDEBUG -I. -I/usr/include/python2.5
 CFLAGS = -pipe -fPIC -O2 -w
 CXXFLAGS = -pipe -fPIC -O2 -w
 LFLAGS = -shared -Wl,--version-script=sip.exp
@@ -28,22 +28,26 @@
 .c.o:
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<
 
+all: $(TARGET)
+
+$(OFILES): $(HFILES)
+
 $(TARGET): $(OFILES)
 	@echo '{ global: initsip; local: *; };' > sip.exp
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)
-
-$(OFILES): $(HFILES)
 
 install: $(TARGET)
 	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages
 	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/$(TARGET)
 	strip $(DESTDIR)/usr/lib/python2.5/site-packages/$(TARGET)
 	@test -d $(DESTDIR)/usr/include/python2.5 || mkdir -p $(DESTDIR)/usr/include/python2.5
-	cp -f sip.h $(DESTDIR)/usr/include/python2.5/sip.h
+	cp -f /home/maemo/sip4-4.10/siplib/sip.h $(DESTDIR)/usr/include/python2.5/sip.h
 
 clean:
 	-rm -f $(TARGET)
 	-rm -f siplib.o
+	-rm -f apiversions.o
+	-rm -f descriptors.o
 	-rm -f qtlib.o
 	-rm -f threads.o
 	-rm -f objmap.o

=== debian/changelog ===
sip4 (4.10.0) unstable; urgency=low

  * Updated to SIP 4.10 stable, now we are in sync with upstream releases

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 21 Dec 2009 00:12:12 +0100

sip4 (4.10-maemo20091218.0) unstable; urgency=low

  * Updated to latest snapshot

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 21 Dec 2009 00:12:12 +0100

## sip4 4.10.3-maemo0

=== debian/changelog ===
sip4 (4.10.3-maemo0) unstable; urgency=low

  * Resync with upstream (Added support for Q_SLOT, Q_SLOTS, Q_SIGNAL and Q_SIGNALS)

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 12 Jul 2010 12:12:12 +0100

sip4 (4.10.2-maemo0) unstable; urgency=low

  * Resync with upstream

 -- Attila Csipa <maemo@csipa.in.rs>  Thu, 22 Apr 2010 00:12:12 +0100

sip4 (4.10.0-maemo0) unstable; urgency=low

  * Resync with upstram for 4.6 release

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 10 Mar 2010 00:12:12 +0100

## sip4 4.10.5-maemo0

=== siplib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 TARGET = sip.so
-OFILES = siplib.o apiversions.o descriptors.o qtlib.o threads.o objmap.o bool.o
+OFILES = siplib.o apiversions.o descriptors.o qtlib.o threads.o objmap.o voidptr.o bool.o
 HFILES = sip.h sipint.h 
 
 CC = gcc
@@ -51,5 +51,6 @@
 	-rm -f qtlib.o
 	-rm -f threads.o
 	-rm -f objmap.o
+	-rm -f voidptr.o
 	-rm -f bool.o
 	-rm -f sip.exp

=== debian/changelog ===
sip4 (4.10.5-maemo0) unstable; urgency=low

  * Resync with upstream 

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 12 Jul 2010 12:12:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: sip4
 Priority: extra
-Maintainer: Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>
+Maintainer: Attila Csipa <maemo@csipa.in.rs>
 Build-Depends: debhelper (>= 5), python2.5-dev (>= 2.5.1), dpatch
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+#	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_install --source=debian/tmp -v

## sip4 4.11-maemo0

=== sipgen/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CC = gcc
 CXX = g++
 LINK = g++
-CPPFLAGS = -I.
+CPPFLAGS = -DNDEBUG -I.
 CFLAGS = -pipe -O2 -w
 CXXFLAGS = -pipe -O2 -w
 LFLAGS = 
@@ -28,10 +28,12 @@
 .c.o:
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<
 
+all: $(TARGET)
+
+$(OFILES): $(HFILES)
+
 $(TARGET): $(OFILES)
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)
-
-$(OFILES): $(HFILES)
 
 install: $(TARGET)
 	@test -d $(DESTDIR)/usr/bin || mkdir -p $(DESTDIR)/usr/bin

=== debian/changelog ===
sip4 (4.11-maemo0) unstable; urgency=low

  * Resync with upstream 

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 12 Jul 2010 12:12:12 +0100

## sip4 4.12.1

=== debian/changelog ===
sip4 (4.12.1-1) unstable; urgency=low

  * Team upload.

  [ Michael Casadevall ]
  * Merged in patch from Per W for Python 3 support, thank you.
  * Add lintian overrides for incorrect warnings

  [ Michał Zając ]
  * New upstream release
  * Added Python 3 support (Closes: #587072)
   - support default Python 3 interpreter only for now
   - debian/rules: added dh_python3
   - debian/rules: added install-arch-3.%
   - debian/rules: added substvars to keep provides up-to-date
   - debian/control: python-sip provides sip-api-8.0 and 8.1
   - debian/control: python3-sip provides sip-py3api-8.0 and 8.1
  * Added configure.py.patch, fixes FTBFS
  * debian/patches/siputils_debian_changes.diff
   - Refreshed

  [ Piotr Ożarowski ]
  * Change source package name to sip4 (Closes: #535599)
  * Do not compress objects.inv file (Closes: #608772)
  * Drop transitional packages: python-sip4, sip4, python-sip4-dev,
    python-sip4-dbg

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 24 Jan 2011 19:31:28 +0100

sip4-qt3 (4.10.2-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:06:56 +0200

sip4-qt3 (4.10.1-2) unstable; urgency=low

  * debian/control
    - Added the old python-qscintilla2 package to Breaks: of python-sip4,
      since it wasn't updated correctly in some cases
      (Closes: #571203)

 -- Torsten Marek <shlomme@debian.org>  Thu, 15 Apr 2010 09:23:42 +0200

sip4-qt3 (4.10.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - python-sip also provides sip-api-7.1
  * debian/rules
    - upstream changelog is not shipped any more

 -- Torsten Marek <shlomme@debian.org>  Wed, 24 Mar 2010 19:22:46 +0100

sip4-qt3 (4.10-2) unstable; urgency=low

  * Upload to unstable (Closes: #552511)
  * siputils.py does not check errno any more (Closes: #560418)
  * debian/control
    - Updated standards version to 3.8.4, no changes necessary
    - Make python-sip4 break those packages that do not depend on
      python2.x-sip4 or a specific version of python-sip4
  * debian/manpages/dh_sip.1
    - Create man page for dh_sip
  * debian/manpages/sip.1
    - Update man page for sip
  * debian/README.source
    - Removed, not needed for source format "3.0 (quilt)"

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 21:27:14 +0100

sip4-qt3 (4.10-1) experimental; urgency=low

  * New upstream release (Closes: #558680)
  * Convert to source format "3.0 (quilt)"
  * debian/patches/01_configure
    - Dropped, applied upstream
  * debian/control
    - Renamed all packages from *sip4* to sip
    - Added transitional packages
    - Merged sip4 into python-sip-dev
    - python-sip now has the public API in the provides field (Closes: #554024)
  * debian/dh_sip
    - Added debhelper script that generates substvars for packages
      that directly depend on python-sip
  * debian/rules
    - Drop dpatch handling
  * debian/patches/siputils_debian_changes.diff
    - Updated to only include debian-specific patches
  * debian/patches/siputils_objdir_module_fix.diff
    - Fixed a bug that broke out-of-tree building of moc object files

 -- Torsten Marek <shlomme@debian.org>  Tue, 26 Jan 2010 23:57:37 +0100

sip4-qt3 (4.9-1) unstable; urgency=high

  * New upstream release that corrects a licensing issue
    (Closes: #543730) (LP: #444742)
  * Justificatoin of urgency=high due to licensing in testing
  * debian/patches/01_configure.dpatch:
    - Refreshed for new source version
  * debian/patches/02_siputils.dpatch:
    - Refreshed for new source version
  * Updated copyright file to reflect new licensing terms

 -- Michael Casadevall <mcasadevall@debian.org>  Tue, 06 Oct 2009 13:26:13 -0400

sip4-qt3 (4.8.2-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * debian/rules
    - Fix rule dependencies to allow parallel builds

  [ Michael Casadevall ]
  * debian/control:
    - Bumped standard version to 3.8.3
    - Update Maintainer field to Python Modules Packaging Team (Closes: #540937)
    - Add myself to uploaders
    - Added XS-Python-Version field
    - Bumped debhelper build-dep to 7
  * debian/README.source
    - New file to explain patch system

 -- Torsten Marek <shlomme@debian.org>  Fri, 28 Aug 2009 20:22:06 +0200

sip4-qt3 (4.8.1-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:33:33 +0200

sip4-qt3 (4.8-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * Removed debian/pycompat, not needed anymore
  * debian/control
    - Add dependency to libjs-jquery since sip4's docs are
      now done using sphinx
  * debian/rules
    - Install configuration modules in python-sip4{,-dbg} instead of
      python-sip4-dev (Closes: #530846)

  [ Bernd Zeimetz ]
  * Fixing override disparity: Set 'debug' as sectiong for the -dbg package.
  * Bumping Standards-Version to 3.8.1, no changes needed.
  * Migrating to python-support.
  * Merging changes from Ubuntu to build for Python 2.6. We
    don't use python-central stuff, though.


 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 22:18:29 +0200

sip4-qt3 (4.7.9-2) unstable; urgency=low

  * Upload to unstable as the package is needed for KDE4.
  * Adding myself to Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Apr 2009 20:52:40 +0200

sip4-qt3 (4.7.9-1) experimental; urgency=low

  [ Torsten Marek ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 18:38:16 +0100

sip4-qt3 (4.7.7-1) experimental; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Tue, 12 Aug 2008 08:10:22 +0200

sip4-qt3 (4.7.6-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - updated Homepage field; Closes: #484595
    - bump Standards-Version to 3.8.0 (no changes needed)
  * debian/watch


=== debian/control ===
Source: sip4
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Bernd Zeimetz <bzed@debian.org>, Michael Casadevall <mcasadevall@debian.org>
Build-Depends: debhelper (>= 7), python-all-dev (>= 2.3.5-10), python-all-dbg, python-support (>= 0.7.1), python3-all-dev, python3-all-dbg
Standards-Version: 3.9.1
Homepage: http://www.riverbankcomputing.co.uk/software/sip/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sip4/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sip4/trunk/
XS-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-sip
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python/C++ bindings generator runtime library
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.

Package: python-sip-dbg
Priority: extra
Architecture: any
Section: debug
Provides: ${python:Provides}
Depends: python-sip (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python/C++ bindings generator runtime library (debug extension)
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-sip-dev
Architecture: any
Section: python
Depends: ${python:Depends}, python-sip (= ${binary:Version}), python-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
Recommends: python-sip (>= ${source:Version})
Description: Python/C++ bindings generator development files
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains the code generator tool and the development headers
 needed to develop Python bindings with sip.

Package: python3-sip
Architecture: any
Section: python
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python 3/C++ bindings generator runtime library
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 This package provides SIP with support for Python 3

Package: python3-sip-dev
Architecture: any
Section: python
Depends: ${python:Depends}, python3-sip (= ${binary:Version}), python-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
Recommends: python3-sip (>= ${source:Version})
Description: Python/C++ bindings generator development files
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains the code generator tool and the development headers
 needed to develop Python 3 bindings with sip.

Package: python3-sip-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-sip (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python 3/C++ bindings generator runtime library
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 This package contains debugging symbols for python3-sip

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY2_PROVIDES=sip-api-8.0, sip-api-8.1
PY3_PROVIDES=sip-py3api-8.0, sip-py3api-8.1
# `dh_python3 --depends sip` should generate dependency on newest API only
PYDIST=sip $(shell python -c "a=[i.strip() for i in '$(PY3_PROVIDES)'.split(',')]; print sorted(a, reverse=True)[0]")

INSTDIR=$(CURDIR)/debian

CFLAGS=
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -g
else
	CFLAGS += -O2 -g
endif

PYTHONS	:= $(shell pyversions -vr) $(shell py3versions -vd)

-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
py_sitename = site-packages
py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
py_sitename_sh = $(py_sitename)
py_libdir_sh = $(py_libdir)
endif


.PRECIOUS: build-%/configure-stamp dbg-build-%/configure-stamp

configure: $(PYTHONS:%=build-%/configure-stamp) $(PYTHONS:%=dbg-build-%/configure-stamp)

build-%/configure-stamp:
	dh_testdir
	mkdir -p build-$*
	cd build-$* \
		&& python$* ../configure.py \
			-d /usr/lib/python$*/$(call py_sitename,$*) \
			-u STRIP="" CFLAGS="${CFLAGS}" CFLAGS_RELEASE="" CXXFLAGS="${CFLAGS}" CXXFLAGS_RELEASE=""
	touch $@

dbg-build-%/configure-stamp:
	dh_testdir
	mkdir -p dbg-build-$*
	cd dbg-build-$* \
		&& python$*-dbg ../configure.py \
			-d /usr/lib/python$*/$(call py_sitename,$*) \
			-e /usr/include/python$*_d \
			-u CFLAGS="-O0 -g" CFLAGS_RELEASE="" CXXFLAGS="-O0 -g" CXXFLAGS_RELEASE="" STRIP=""
	touch $@


build: $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	$(MAKE) -C build-$*
	touch $@

dbg-build-%/build-stamp: dbg-build-%/configure-stamp
	dh_testdir
	$(MAKE) -C dbg-build-$*
	touch $@


clean:
	dh_testdir
	dh_testroot
	rm -rf *-stamp siputils.pyc __pycache__ $(PYTHONS:%=build-%) $(PYTHONS:%=dbg-build-%)
	dh_clean debian/python3-sip.pydist

install-arch: build
	dh_testdir
	dh_testroot	
	dh_prep -a
	echo "python:Provides=$(PY2_PROVIDES)" >> debian/python-sip.substvars
	echo "python3:Provides=$(PY3_PROVIDES)" >> debian/python3-sip.substvars
	echo "$(PYDIST)" > debian/python3-sip.pydist
	dh_installdirs -a
	# This is needed to enforce that the install-arch-% rules are
	# not run in parallel. Both rules install into the same directory,
	# and therefore might try to access the same files at the same time.
	# Therefore, instead of depending on the install-arch-% rules,
	# we invoke them explicitly.
	for p in $(PYTHONS) ; do \
		$(MAKE) -f debian/rules install-arch-$$p;\
	done

	for i in $$(find debian/python*-sip-dbg -name '*.so'); do \
		b=$$(basename $$i .so); \
		mv $$i $$(dirname $$i)/$${b}_d.so; \
	done
	find debian/python*-sip-dbg ! -type d ! -name '*_d.*' | xargs rm -f
	find debian/python*-sip-dbg -depth -empty -exec rmdir {} \;

	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
	install -m 755 -o root -g root debian/dh_sip debian/python-sip-dev/usr/bin

install-arch-3.%:
	$(MAKE) -C build-3.$* install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C dbg-build-3.$* install DESTDIR=$(CURDIR)/debian/python3-sip-dbg
	mkdir -p debian/python3-sip/usr/lib/python3.$*/dist-packages/
	install -m 644 -o root -g root debian/sipconfig_py3.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig.py
	install -m 644 -o root -g root build-3.$*/sipconfig.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig_nd.py
	install -m 644 -o root -g root dbg-build-3.$*/sipconfig.py debian/python3-sip-dbg/usr/lib/python3.$*/dist-packages/sipconfig_d.py
	mkdir -p debian/python3-sip-dev/usr/include/python3.$*
	install -m 644 -o root -g root siplib/sip.h debian/python3-sip-dev/usr/include/python3.$*/
	mkdir -p debian/python3-sip-dev/usr/include/python3.$*_d
	ln -s ../python3.$*/sip.h \
	    debian/python3-sip-dev/usr/include/python3.$*_d/sip.h
	mkdir -p debian/python3-sip-dev/usr/lib/python3.$*/dist-packages
	install -m 644 -o root -g root sipdistutils.py debian/python3-sip-dev/usr/lib/python3.$*/dist-packages

install-arch-%:
	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-sip-dbg
	mkdir -p debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/
	install -m 644 -o root -g root debian/sipconfig.py debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/
	install -m 644 -o root -g root build-$*/sipconfig.py debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/sipconfig_nd.py
	install -m 644 -o root -g root dbg-build-$*/sipconfig.py debian/python-sip-dbg/usr/lib/python$*/$(call py_sitename,$*)/sipconfig_d.py
	mkdir -p debian/python-sip-dev/usr/include/python$*
	install -m 644 -o root -g root siplib/sip.h debian/python-sip-dev/usr/include/python$*/
	mkdir -p debian/python-sip-dev/usr/include/python$*_d
	ln -s ../python$*/sip.h \
	    debian/python-sip-dev/usr/include/python$*_d/sip.h
	mkdir -p debian/python-sip-dev/usr/lib/python$*/$(call py_sitename,$*)
	install -m 644 -o root -g root sipdistutils.py debian/python-sip-dev/usr/lib/python$*/$(call py_sitename,$*)


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installman
	dh_installchangelogs
	dh_installdocs -A
	dh_installexamples
	dh_link
# don't call strip twice, it's in binary-common
ifneq (,$(findstring -a, $(DH_OPTIONS)))
	DH_OPTIONS= dh_strip -ppython-sip-dev
	DH_OPTIONS= dh_strip -ppython-sip -Npython-sip-dev --dbg-package=python-sip-dbg
	DH_OPTIONS= dh_strip -ppython3-sip-dev
	DH_OPTIONS= dh_strip -ppython3-sip -Npython3-sip-dev --dbg-package=python3-sip-dbg
	rm -rf debian/python-sip-dbg/usr/share/doc/python-sip-dbg
	mkdir -p debian/python-sip-dbg/usr/share/doc
	ln -s python-sip debian/python-sip-dbg/usr/share/doc/python-sip-dbg
endif
	dh_compress -X.inv
	dh_fixperms
	dh_pysupport
	dh_python3
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: 
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary configure

## sip4 4.12.4

=== debian/changelog ===
sip4 (4.12.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Remove obsolete debian/source/lintian-overrides
  * Fix typo in last changelog entry
  * Replace hack in debian/rules with --no-dbg-cleaning and bump minimun
    python version to 2.6.7-3~
  * Add hack in debian/rules back for dh_python3 and wait for it to grow
    --no-dbg-cleaning
  * Stop doing things in binary-indep since we no longer build any arch all
    packages

 -- Scott Kitterman <scott@kitterman.com>  Wed, 24 Aug 2011 10:22:09 -0400

sip4 (4.12.3-1) unstable; urgency=low

  * Team upload

  [ Scott Kitterman ]
  * New upstream release (No API version change)
    - Refresh and adapt patches
  * Switch to dh_python2
    - Update debian/rules
    - Drop python-support build-depends
  * Bump standards version to 3.9.2 without further change
  * Remove Bernd Zeimetz from Uploaders at his request
    - Thanks to bzed for all his work on the package

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Jul 2011 19:24:24 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Bernd Zeimetz <bzed@debian.org>, Michael Casadevall <mcasadevall@debian.org>
-Build-Depends: debhelper (>= 7), python-all-dev (>= 2.3.5-10), python-all-dbg, python-support (>= 0.7.1), python3-all-dev, python3-all-dbg
-Standards-Version: 3.9.1
+Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>
+Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.7-3~), python-all-dbg, python3-all-dev, python3-all-dbg
+Standards-Version: 3.9.2
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sip4/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sip4/trunk/
-XS-Python-Version: >= 2.4
+X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 
 Package: python-sip
@@ -16,6 +16,10 @@
 Section: python
 Provides: ${python:Provides}
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Breaks: python-qscintilla (<< 2.4.3-3~),
+        python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-6~),
+        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7~),
+        python-qt4 (<<4.8.3-3~)
 Description: Python/C++ bindings generator runtime library
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its

=== debian/rules ===
--- 
+++ 
@@ -151,8 +151,13 @@
 endif
 	dh_compress -X.inv
 	dh_fixperms
-	dh_pysupport
+	dh_python2 --no-dbg-cleaning
+	# Gross hack, please avert eyes - Waiting for --no-dbg-cleaning option
+	mv debian/python3-sip-dbg/usr/lib/python3.2/dist-packages/sipconfig_d.py \
+	  debian/python3-sip/usr/lib/python3.2/dist-packages
 	dh_python3
+	mv debian/python3-sip/usr/lib/python3/dist-packages/sipconfig_d.py \
+	  debian/python3-sip-dbg/usr/lib/python3/dist-packages
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -161,7 +166,6 @@
 
 # Build architecture independant packages using the common target.
 binary-indep: 
-	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
 binary-arch: install-arch

## sip4 4.13

=== debian/changelog ===
sip4 (4.13-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Use --no-dbg-cleaning for python3 too
  * Add build-arch: build and build-indep: build to debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Oct 2011 11:50:01 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>
-Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.7-3~), python-all-dbg, python3-all-dev, python3-all-dbg
+Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.7-3~), python-all-dbg, python3-all-dev (>= 3.2.2~rc1-1~), python3-all-dbg
 Standards-Version: 3.9.2
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sip4/trunk

## sip4 4.13.1

=== debian/changelog ===
sip4 (4.13.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Change python3-sip-dev to depend on python3-dev instead of python-dev
  * Update python3-sip-dev short description to refer to python3
  * Update python3-sip-dbg short description so it is different than
    python3-sip

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Dec 2011 08:52:28 -0500

=== debian/control ===
--- 
+++ 
@@ -80,9 +80,9 @@
 Package: python3-sip-dev
 Architecture: any
 Section: python
-Depends: ${python:Depends}, python3-sip (= ${binary:Version}), python-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
+Depends: ${python:Depends}, python3-sip (= ${binary:Version}), python3-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
 Recommends: python3-sip (>= ${source:Version})
-Description: Python/C++ bindings generator development files
+Description: Python 3/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
  specificity towards C++ and Python.
@@ -109,7 +109,7 @@
 Section: debug
 Priority: extra
 Depends: python3-sip (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
-Description: Python 3/C++ bindings generator runtime library
+Description: Python 3/C++ bindings generator runtime library (debug extension)
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
  specificity towards C++ and Python.

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,8 @@
 	$(MAKE) -C dbg-build-$*
 	touch $@
 
+build-arch: build
+build-indep: build
 
 clean:
 	dh_testdir
@@ -152,12 +154,7 @@
 	dh_compress -X.inv
 	dh_fixperms
 	dh_python2 --no-dbg-cleaning
-	# Gross hack, please avert eyes - Waiting for --no-dbg-cleaning option
-	mv debian/python3-sip-dbg/usr/lib/python3.2/dist-packages/sipconfig_d.py \
-	  debian/python3-sip/usr/lib/python3.2/dist-packages
-	dh_python3
-	mv debian/python3-sip/usr/lib/python3/dist-packages/sipconfig_d.py \
-	  debian/python3-sip-dbg/usr/lib/python3/dist-packages
+	dh_python3 --no-dbg-cleaning
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
version=3
http://www.riverbankcomputing.co.uk/software/sip/download \
      /static/Downloads/sip4/sip-([\d\.]*)\.tar\.gz debian uupdate

## sip4 4.13.2

=== debian/changelog ===
sip4 (4.13.2-1) unstable; urgency=low

  * New upstream release
    - Refreshed patches
  * Split out documentation into a separate package, python-sip-doc since it
    is used for both the python and python3 versions of sip4
    - Add python-sip-doc.docs/links
    - Adjust other docs/links files
    - python-sip-dev and python3-sip-dev Suggest python-sip-doc
    - Adjust debian/rules to build arch all packages
  * Install NEWS as changelog

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Feb 2012 12:47:35 -0500

sip4 (4.13.1-3) unstable; urgency=low

  * Add myself to uploaders
  * Add debian/dh_sip3 and debian/manpages/dh_sip3.1.  Adjust
    python3-sip-dev.install and add python3-sip-dev.manpages to ship dh_sip3
    for python3 packages
  * Add removal of generated files in siplib to clean rule
  * Instead of using upstream embedded copy of underscore.js, add
    libjs-underscore to python-sip-dev depends and symlink to the docs

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Jan 2012 01:49:54 -0500

sip4 (4.13.1-2) unstable; urgency=low

  * Team upload
  * Bump Breaks version for to python-qt4 << 4.9~ (Closes: #653293)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Dec 2011 20:08:42 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>
+Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.7-3~), python-all-dbg, python3-all-dev (>= 3.2.2~rc1-1~), python3-all-dbg
 Standards-Version: 3.9.2
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
@@ -19,7 +19,7 @@
 Breaks: python-qscintilla (<< 2.4.3-3~),
         python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-6~),
         python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7~),
-        python-qt4 (<<4.8.3-3~)
+        python-qt4 (<<4.9~)
 Description: Python/C++ bindings generator runtime library
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -41,8 +41,10 @@
 Package: python-sip-dev
 Architecture: any
 Section: python
-Depends: ${python:Depends}, python-sip (= ${binary:Version}), python-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
+Depends: ${python:Depends}, python-sip (= ${binary:Version}), python-dev,
+ ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-sip (>= ${source:Version})
+Suggests: python-sip-doc
 Description: Python/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -65,6 +67,31 @@
  This package contains the code generator tool and the development headers
  needed to develop Python bindings with sip.
 
+Package: python-sip-doc
+Architecture: all
+Section: doc
+Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
+Description: Python/C++ bindings generator documentation
+ SIP is a tool for generating bindings for C++ classes with some ideas
+ borrowed from SWIG, but capable of tighter bindings because of its
+ specificity towards C++ and Python.
+ .
+ SIP was originally designed to generate Python bindings for KDE and so
+ has explicit support for the signal slot mechanism used by the Qt/KDE
+ class libraries.
+ .
+ Features:
+     - connecting Qt signals to Python functions and class methods
+     - connecting Python signals to Qt slots
+     - overloading virtual member functions with Python class methods
+     - protected member functions
+     - abstract classes
+     - enumerated types
+     - global class instances
+     - static member functions.
+ .
+ This package contains the html documentation.
+
 Package: python3-sip
 Architecture: any
 Section: python
@@ -82,6 +109,7 @@
 Section: python
 Depends: ${python:Depends}, python3-sip (= ${binary:Version}), python3-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
 Recommends: python3-sip (>= ${source:Version})
+Suggests: python-sip-doc
 Description: Python 3/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PY2_PROVIDES=sip-api-8.0, sip-api-8.1
 PY3_PROVIDES=sip-py3api-8.0, sip-py3api-8.1
-# `dh_python3 --depends sip` should generate dependency on newest API only
+# `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(shell python -c "a=[i.strip() for i in '$(PY3_PROVIDES)'.split(',')]; print sorted(a, reverse=True)[0]")
 
 INSTDIR=$(CURDIR)/debian
@@ -70,6 +70,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf *-stamp siputils.pyc __pycache__ $(PYTHONS:%=build-%) $(PYTHONS:%=dbg-build-%)
+	rm -rf $(CURDIR)/siplib/sip.h $(CURDIR)/siplib/siplib.c $(CURDIR)/siplib/siplib.sbf
 	dh_clean debian/python3-sip.pydist
 
 install-arch: build
@@ -137,7 +138,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installman
-	dh_installchangelogs
+	dh_installchangelogs NEWS
 	dh_installdocs -A
 	dh_installexamples
 	dh_link
@@ -163,6 +164,7 @@
 
 # Build architecture independant packages using the common target.
 binary-indep: 
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
 binary-arch: install-arch

## sip4 4.13.3

=== debian/changelog ===
sip4 (4.13.3-2) unstable; urgency=low

  * Install sip.h for python3-sip-dev in the correct directories
  * Add support for dpkg-buildflags in debian/rules
    - Build dbg packages -02 instead of -00 as a consequence
    - Add build-depends on dpkg-dev (>= 1.16.1~)
  * Add missing build-depends on flex
  * Drop unneeded depends on libjs-jquery for python3-sip-dev

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jun 2012 11:54:27 -0400

sip4 (4.13.3-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
    - Update debian/copyright
  * Bump standards-version to 3.9.3 without futher change
  * Correct link targets in python-sip-doc.links to point at the current
    -doc package and not the old -dev package location

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Jun 2012 14:59:40 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.7-3~), python-all-dbg, python3-all-dev (>= 3.2.2~rc1-1~), python3-all-dbg
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7), python-all-dev (>= 2.6.7-3~), python-all-dbg, python3-all-dev (>= 3.2.2~rc1-1~), python3-all-dbg, flex
+Standards-Version: 3.9.3
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sip4/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sip4/trunk/
@@ -107,7 +107,7 @@
 Package: python3-sip-dev
 Architecture: any
 Section: python
-Depends: ${python:Depends}, python3-sip (= ${binary:Version}), python3-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
+Depends: ${python:Depends}, python3-sip (= ${binary:Version}), python3-dev, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-sip (>= ${source:Version})
 Suggests: python-sip-doc
 Description: Python 3/C++ bindings generator development files

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,16 @@
 INSTDIR=$(CURDIR)/debian
 
 CFLAGS=
+CPPFLAGS=
+CXXFLAGS=
+LDFLAGS=
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0 -g
 else
-	CFLAGS += -O2 -g
+	CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+	CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+	CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
+	LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 endif
 
 PYTHONS	:= $(shell pyversions -vr) $(shell py3versions -vd)
@@ -37,7 +43,9 @@
 	cd build-$* \
 		&& python$* ../configure.py \
 			-d /usr/lib/python$*/$(call py_sitename,$*) \
-			-u STRIP="" CFLAGS="${CFLAGS}" CFLAGS_RELEASE="" CXXFLAGS="${CFLAGS}" CXXFLAGS_RELEASE=""
+			-u STRIP="" CFLAGS="${CFLAGS} ${CPPFLAGS}" CFLAGS_RELEASE="" \
+			CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" CXXFLAGS_RELEASE="" \
+			LFLAGS="${LDFLAGS}" LFLAGS_RELEASE=""
 	touch $@
 
 dbg-build-%/configure-stamp:
@@ -47,7 +55,9 @@
 		&& python$*-dbg ../configure.py \
 			-d /usr/lib/python$*/$(call py_sitename,$*) \
 			-e /usr/include/python$*_d \
-			-u CFLAGS="-O0 -g" CFLAGS_RELEASE="" CXXFLAGS="-O0 -g" CXXFLAGS_RELEASE="" STRIP=""
+			-u CFLAGS="${CFLAGS} ${CPPFLAGS}" CFLAGS_RELEASE="" \
+			CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" CXXFLAGS_RELEASE="" \
+                        LFLAGS="${LDFLAGS}" LFLAGS_RELEASE="" STRIP="" 
 	touch $@
 
 
@@ -107,11 +117,11 @@
 	install -m 644 -o root -g root debian/sipconfig_py3.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig.py
 	install -m 644 -o root -g root build-3.$*/sipconfig.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig_nd.py
 	install -m 644 -o root -g root dbg-build-3.$*/sipconfig.py debian/python3-sip-dbg/usr/lib/python3.$*/dist-packages/sipconfig_d.py
-	mkdir -p debian/python3-sip-dev/usr/include/python3.$*
-	install -m 644 -o root -g root siplib/sip.h debian/python3-sip-dev/usr/include/python3.$*/
-	mkdir -p debian/python3-sip-dev/usr/include/python3.$*_d
-	ln -s ../python3.$*/sip.h \
-	    debian/python3-sip-dev/usr/include/python3.$*_d/sip.h
+	mkdir -p debian/python3-sip-dev/usr/include/python3.$*mu
+	install -m 644 -o root -g root siplib/sip.h debian/python3-sip-dev/usr/include/python3.$*mu/
+	mkdir -p debian/python3-sip-dev/usr/include/python3.$*dmu
+	ln -s ../python3.$*mu/sip.h \
+	    debian/python3-sip-dev/usr/include/python3.$*dmu/sip.h
 	mkdir -p debian/python3-sip-dev/usr/lib/python3.$*/dist-packages
 	install -m 644 -o root -g root sipdistutils.py debian/python3-sip-dev/usr/lib/python3.$*/dist-packages
